Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162607 - pvmove could use a better error message when it's unable to activate an lv for exclusive locking
Summary: pvmove could use a better error message when it's unable to activate an lv fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2
Version: 4.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 20:17 UTC by Corey Marthaler
Modified: 2007-11-17 01:14 UTC (History)
5 users (show)

Fixed In Version: RHBA-2007-0287
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-07 23:56:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0287 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2007-04-28 19:01:34 UTC

Description Corey Marthaler 2005-07-06 20:17:33 UTC
Description of problem:
Currently if an lv is active and mounted on other nodes when attempting a
pvmove, the pvmove will fail:

[root@link-02 ~]# pvmove -v /dev/sda1 /dev/sda7
    Loaded external locking library liblvm2clusterlock.so
    Finding volume group "linear_8_2048"
    Archiving volume group "linear_8_2048" metadata.
    Creating logical volume pvmove0
    Moving 75 extents of logical volume linear_8_2048/linear_8_20480
  Error locking on node link-02: Resource temporarily unavailable
  Failed to activate linear_8_20480

It would be nice if it said that it was unable to grant exclusive access, and to
make sure that it's not being used on other nodes.

Version-Release number of selected component (if applicable):
Cluster LVM daemon version: 2.01.09 (2005-04-04)
Protocol version:           0.2.1


How reproducible:
everytime

Comment 1 Alasdair Kergon 2006-02-01 15:15:21 UTC
Related to bug 162809

Comment 3 Alasdair Kergon 2006-10-18 18:38:03 UTC
Firstly, similar to the other one - can we find a form of words in
cluster_locking.c that covers all these cases better?

(May also need special handling in pvmove itself)

Comment 4 Christine Caulfield 2006-10-19 08:36:18 UTC
This is the message currently generated:

# pvmove /dev/dm-3
  Error locking on node bench-13.lab.msp.redhat.com: Volume is busy on another node
  Failed to activate test

will that do ?


Comment 5 Corey Marthaler 2006-11-01 17:56:36 UTC
fix verified in lvm2-cluster-2.02.13-1, lvm2-2.02.13-1.

Comment 9 Red Hat Bugzilla 2007-05-07 23:56:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0287.html


Note You need to log in before you can comment on or make changes to this bug.